Package org.h2gis.functions.spatial.generalize

# Class ST_PrecisionReducer

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.generalize.ST_PrecisionReducer

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_PrecisionReducer extends org.h2gis.api.DeterministicScalarFunction

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_PrecisionReducer()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`precisionReducer(org.locationtech.jts.geom.Geometry geometry, int nbDec)`
Reduce the geometry precision.
`static double`
`scaleFactorForDecimalPlaces(int decimalPlaces)`
Computes the scale factor for a given number of decimal places.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_PrecisionReducer

public ST_PrecisionReducer()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### precisionReducer

public static org.locationtech.jts.geom.Geometry precisionReducer(org.locationtech.jts.geom.Geometry geometry, int nbDec) throws SQLException
Reduce the geometry precision. Decimal_Place is the number of decimals to keep.

Parameters:
  `geometry` -
  `nbDec` -
Returns:
Throws:
  `SQLException`

### scaleFactorForDecimalPlaces

public static double scaleFactorForDecimalPlaces(int decimalPlaces)
Computes the scale factor for a given number of decimal places.

Parameters:
  `decimalPlaces` -
Returns:
  the scale factor